Package be.fgov.ehealth.mediprima.core.v2

# Class ZivAmiPatientPartType

java.lang.Object
be.fgov.ehealth.mediprima.core.v2.ZivAmiPatientPartType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:27+02:00", comments="JAXB RI v4.0.5") public class ZivAmiPatientPartType extends Object implements Serializable

Java class for ZivAmiPatientPartType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ZivAmiPatientPartType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ZivAmiPart" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="PatientPart" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZivAmiPatientPartType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getPatientPart()`
  This element contains the percentage supported by POD MI / SPP IS for the patient part.
  `BigDecimal`
  `getZivAmiPart()`
  This element contains the percentage supported by POD MI / SPP IS for the ZIV/AMI part.
  `void`
  `setPatientPart(BigDecimal value)`
  Sets the value of the patientPart property.
  `void`
  `setZivAmiPart(BigDecimal value)`
  Sets the value of the zivAmiPart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZivAmiPatientPartType

    public ZivAmiPatientPartType()

- ## Method Details

  - ### getZivAmiPart

    public BigDecimal getZivAmiPart()
    This element contains the percentage supported by POD MI / SPP IS for the ZIV/AMI part. The possibles values are 100.0 (full support for AMI/ZIV part), 50.0 of 0.0 (no support).
    Returns:
      possible object is `BigDecimal`

  - ### setZivAmiPart

    public void setZivAmiPart(BigDecimal value)
    Sets the value of the zivAmiPart property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getZivAmiPart()`

  - ### getPatientPart

    public BigDecimal getPatientPart()
    This element contains the percentage supported by POD MI / SPP IS for the patient part. The possibles values are 100.0 (full support for the patient part), 50.0 of 0.0 (no support).
    Returns:
      possible object is `BigDecimal`

  - ### setPatientPart

    public void setPatientPart(BigDecimal value)
    Sets the value of the patientPart property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getPatientPart()`